<div *ngIf="currentProduit" class="edit-form col-md-8 colonne-centree" style="margin-left: 520px;">
    <form>
      <!-- Nom produit -->
      <div class="input-w">
        <label for="nomproduit"
          style="position: relative; font-size: 20px;margin-right: 78px;"><strong>Nom produit</strong></label>
        <input id="input" style="width: 800px; height: 50px;font-size: 20px; margin-bottom: 10px;" type="text"
          id="nomproduit" [(ngModel)]="currentProduit.nomproduit" name="nomproduit" />
      </div>

      <!-- Tests 
      <div class="input-w" style="margin-bottom: 10px;">
          <label for="tests" 
          style="position: relative; font-size: 20px;margin-right: 78px;"><strong>Tests</strong></label>
          <select multiple id="select" style="width: 800px; height: 50px;font-size: 20px; margin-bottom: 10px;" 
                  required 
                  [(ngModel)]="produit.tests" 
                  name="tests" id="tests" class="form-control ">
            <option selected id="select" value="usb2"> usb2 </option>
            <option id="select" value="usb3"> usb3 </option>
            <option id="select" value="eth"> eth </option>
          </select>
      </div>-->
    </form>
  
    <div style="margin-top: 20px; margin-left: 160px; ">
      <!--Modifier un produit-->
      <button id="btnmodif" style="margin-left: 10px; " type="submit" style="height: 50px; width: 160px;"
        class="btn btn-success mr-7" (click)="updateProduit()">
        Mettre à jour
      </button>
      <!--Supprimer un produit-->
      <button id="btnmodif" class="btn btn-danger mr-7 " style="height: 50px; width: 160px; margin-left: 10px;"
        (click)="deleteProduit()">
        Supprimer
      </button>
  
      <!--Retour a la liste-->
      <button id="btnmodif" style="background-color:rgb(43, 42, 42) ; font-size: 15px; margin-left: 10px;"
        style="height: 50px; width: 160px; margin-left: 10px;" type="submit" class="btn  mr-7" (click)="liste()">
        Liste des produits
      </button>
      <p style="font-size: medium;font-style: italic;">{{ message }}</p>
       <!-- Alert echoue-->
     <div class="form-group">
      <div class="alert alert-danger" 
           role="alert"
          *ngIf="isFailed">
        <strong>échec de modification :</strong> {{ errorMessage }}
      </div>
     </div>
    </div>
  
  </div>
  
  <div *ngIf="!currentProduit">
    <br />
    <p>Cannot access this Produit...</p>
  </div>